<?php if (!defined('ROOTPATH')) exit('No direct script access allowed'); ?>
<?php
header('Content-Type: text/html; charset=UTF-8');

// Disable browser caching
header('Expires: Sat, 01 Jan 2000 00:00:00 GMT');
header('Last-Modified: ' . gmdate("D, d M Y H:i:s") . ' GMT');
header('Cache-Control: no-store, no-cache, must-revalidate, max-age=0');
header('Cache-Control: post-check=0, pre-check=0', false);
header('Pragma: no-cache');

// Set application style if no other style has been specified
if (!isset($page_css))
{
	$page_css = 'application';
}

// Are we allowed to use optimized/combined versions of our css files?
// Note that these settings are not defined when no config.php is
// present (e.g. during the installation) and we therefore default to
// true.
if (defined('DEPLOY_DEVELOP') && DEPLOY_DEVELOP)
{
	$optimize_css = false;
}
else
{
	$optimize_css = !defined('DEPLOY_OPTIMIZE_CSS') || DEPLOY_OPTIMIZE_CSS;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<title><?php echo  isset($page_title) ? h($page_title) . ' - ' : '' ?>TestRail</title>

<?php if ($optimize_css): ?>
	<link type="text/css" rel="stylesheet" href="<?php echo  r("styles/$page_css-combined.css?3070") ?>" media="all" />
<?php else: ?>
	<link type="text/css" rel="stylesheet" href="<?php echo  r('styles/reset.css') ?>" media="all" />
	<link type="text/css" rel="stylesheet" href="<?php echo  r('styles/ui.css') ?>" media="all" />
	<link type="text/css" rel="stylesheet" href="<?php echo  r('styles/base.css') ?>" media="all" />
	<link type="text/css" rel="stylesheet" href="<?php echo  r("styles/$page_css.css") ?>" media="all" />
	<link type="text/css" rel="stylesheet" href="<?php echo  r('styles/fancybox.css') ?>" media="all" />	
	<link type="text/css" rel="stylesheet" href="<?php echo  r('styles/tree.css') ?>" media="all" />	
	<link type="text/css" rel="stylesheet" href="<?php echo  r('styles/chosen.css') ?>" media="all" />	
	<link type="text/css" rel="stylesheet" href="<?php echo  r('styles/colorpicker.css') ?>" media="all" />	
<?php endif ?>

<?php if (isset($page_css_additional)): ?>
	<?php foreach ($page_css_additional as $page_css): ?>
	<link type="text/css" rel="stylesheet" href="<?php echo  r("styles/$page_css.css") ?>" media="all" />	
	<?php endforeach ?>
<?php endif ?>

<?php if (isset($page_print_css)): ?>
	<link type="text/css" rel="stylesheet" href="<?php echo  r("styles/print/$page_print_css.css?3070") ?>" media="print" />
<?php endif ?>

<link rel="shortcut icon" href="<?php echo  r('images/favicon.ico') ?>"/>
<!--[if IE 6]>
<link rel="stylesheet" type="text/css" href="<?php echo  r('styles/ie6.css') ?>" />
<![endif]-->	
<!--[if IE 7]>
<link rel="stylesheet" type="text/css" href="<?php echo  r('styles/ie7.css') ?>" />
<![endif]-->	
<!--[if IE 9]>
<link rel="stylesheet" type="text/css" href="<?php echo  r('styles/ie9.css') ?>" />
<![endif]-->	

<?php
// Note: The only JS file that is included in the head is jQuery. This
// is for $(document).ready which is used throughout the application
// for inline JS sections (to kick off some actions, depending on the
// individual pages). Additional JS files are loaded right before the
// </body> tag in base_footer.php for performance reasons.
//
// Also see:
// http://developer.yahoo.com/blogs/ydn/posts/2007/07/high_performanc_5/
?>

<script type="text/javascript" src="<?php echo  r('js/jquery.js') ?>"></script>

<?php if (isset($page_uiscripts)): ?>
	<?php
	
	if (!isset($page_uiscripts_context))
	{
		$page_uiscripts_context = array();	
	}

	if (isset($GI->auth))
	{
		$user = $GI->auth->user();
	}
	else
	{
		$user = null;
	}

	if ($user)
	{
		$page_uiscripts_context['user'] = array(
			'id' => $user->id,
			'name' => $user->name,
			'email' => $user->email,
			'is_admin' => (bool) $user->is_admin,
			'role_id' => $user->role_id
		);
	}
	else 
	{
		$page_uiscripts_context['user'] = null;
	}

	$project = projects::get_current();
	if ($project)
	{
		$page_uiscripts_context['project'] = array(
			'id' => $project->id,
			'name' => $project->name
		);
	}
	else
	{
		$page_uiscripts_context['project'] = null;		
	}

	$temp = array();
	$temp['uiscripts'] = $page_uiscripts;
	$temp['uiscripts_context'] = $page_uiscripts_context;	
	$GI->load->view('layout/uiscripts', $temp);
	?>
<?php endif ?>
</head>
<?php if (isset($page_min_threshold)): ?>
	<?php if (!isset($page_min_width) || $page_min_threshold > $page_min_width): ?>
		<?php $page_min_width = $page_min_threshold ?>
	<?php endif ?>
<?php endif ?>
<?php if (isset($page_min_width) && $page_min_width > 960): ?>
<body style="min-width: <?php echo  $page_min_width ?>px">
<?php else: ?>
<body>
<?php endif ?>

<?php if (isset($page_focused)): ?>
	<?php echo  js::focus($page_focused) ?>
<?php endif ?>
